Author Topic: Dependency error on libxkbcommon  (Read 581 times)

0 Members and 1 Guest are viewing this topic.

Offline Centauri

  • Neuling
  • *
  • Posts: 8
Dependency error on libxkbcommon
« on: 21. April 2016, 21:06:06 »
I ran into trouble trying to install the updates released around 15 April 2016. Using pacman the first steps succeded: core, extra, community, and extralib were updated. Next dependencies were investigated, and here the error appeared: The transaction could not be prepared, dependencies could not be satisfied. : lib32-libxkbcommon: installs libxkbcommon (0.6.0-1) destroys dependency  'libxkbcommon=0.5.0'   (error messages translated from Danish). This error aborts the update.

What do I do to resolve this?

Offline jonathon

  • Core Team
  • *****
  • Posts: 2104
  • Technologist - Teacher - Tea drinker
  • Branch: Unstable
  • Desktop: MATE 1.14
  • GPU Card: Nvidia GTX680M
  • GPU driver: Bumblebee nvidia+intel
  • Kernel: 4.6.0-*-MANJARO x86_64
  • Skill: Advanced
Re: Dependency error on libxkbcommon
« Reply #1 on: 21. April 2016, 21:18:26 »
Please post the full output (between code tags) - it's easier that way.
--
MSI GT70: Core i7-3630QM, 16GB, Nvidia GTX680M, Intel 2230, Manjaro-MATE-amd64-EFI
Lenovo X230: Core i5-3320M, 4GB, Intel HD4000, Intel 6205, Manjaro-MATE-amd64
Dell Studio 1749: Core i5 540, 8GB, ATi HD5650, Intel WLAN, Manjaro-Xfce-amd64
Let's go in the garden; you'll find something waiting.

Offline Centauri

  • Neuling
  • *
  • Posts: 8
Re: Dependency error on libxkbcommon
« Reply #2 on: 21. April 2016, 21:32:40 »
:: Synkroniserer pakkedatabaser...
 core er opdateret
 extra er opdateret
 community er opdateret
 multilib er opdateret
:: Starter fuld systemopgradering...
løser afhængigheder...
kigger efter konflikter mellem pakker...
fejl: kunne ikke forberede transaktion (kunne ikke tilfredsstille afhængigheder)
:: lib32-libxkbcommon: installerer libxkbcommon (0.6.0-1) ødelægger afhængigheden 'libxkbcommon=0.5.0'

Offline jonathon

  • Core Team
  • *****
  • Posts: 2104
  • Technologist - Teacher - Tea drinker
  • Branch: Unstable
  • Desktop: MATE 1.14
  • GPU Card: Nvidia GTX680M
  • GPU driver: Bumblebee nvidia+intel
  • Kernel: 4.6.0-*-MANJARO x86_64
  • Skill: Advanced
Re: Dependency error on libxkbcommon
« Reply #3 on: 21. April 2016, 21:59:46 »
It sounds like your mirror is out of date - libxkbcommon and lib32-libxkbcommon have the same build date so should be in the repos at the same time.

If performing a

sudo pacman-mirrors -g
sudo pacman -Syyu

makes no difference, you could temporarily switch to the testing branch just for this package:

sudo pacman-mirrors -g -b testing
sudo pacman -Syy
sudo pacman -S lib32-libxkbcommon
sudo pacman-mirrors -g
sudo pacman -Syy
--
MSI GT70: Core i7-3630QM, 16GB, Nvidia GTX680M, Intel 2230, Manjaro-MATE-amd64-EFI
Lenovo X230: Core i5-3320M, 4GB, Intel HD4000, Intel 6205, Manjaro-MATE-amd64
Dell Studio 1749: Core i5 540, 8GB, ATi HD5650, Intel WLAN, Manjaro-Xfce-amd64
Let's go in the garden; you'll find something waiting.

Offline Centauri

  • Neuling
  • *
  • Posts: 8
Re: Dependency error on libxkbcommon (Solved)
« Reply #4 on: 23. April 2016, 21:41:47 »
Super, it helped to sync
Thanks for your support.